> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/trapcoll/configuration/outputs/standard-out.md).

# Standard Out

The stdout output is used to output JSON-formatted records to stdout. It is useful for during initial installation and while troubleshooting issues to see the output of the collector directly in the terminal or logs.

{% hint style="info" %}
At anything more than a few flow records per second, the data will scroll too fast to be useful. For this reason the `stdout` output should be used primarily for manual testing.
{% endhint %}

## EF\_OUTPUT\_STDOUT\_ENABLE

Specifies whether the `stdout` output is enabled.

* Valid Values
  * `true`, `false`
* Default
  * `false`

## EF\_OUTPUT\_STDOUT\_FORMAT

* Valid Values
  * `json` - Output as a single JSON-formatted record per line.
  * `json_pretty` - Output each record as a "pretty" formatted JSON document.
* Default
  * `json_pretty`

## EF\_OUTPUT\_STDOUT\_ALLOWED\_RECORD\_TYPES

This setting allows for a comma-separated list of record types that the output will emit. If left empty, all types will be allowed by default.

* Valid Values
  * `as_path_hop`, `flow_option`, `flow`, `ifa_hop`, `telemetry`, `metric`, `log`
* Default
  * `'as_path_hop,flow_option,flow,ifa_hop,telemetry,metric,log'`&#x20;

For more details on record types, see [Outputs](/flowcoll/configuration/outputs.md#record-types)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.elastiflow.com/trapcoll/configuration/outputs/standard-out.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
